<?php
/**
 * Typography Setting
 *
 * @package interior_services
 */

// Typography Setting
$wp_customize->add_section(
    'interior_services_typography_setting',
    array(
        'panel' => 'interior_services_theme_options',
        'title' => esc_html__( 'Typography Setting', 'interior-services' ),
    )
);

$wp_customize->add_setting(
    'interior_services_site_title_font',
    array(
        'default'           => 'Montserrat',
        'sanitize_callback' => 'interior_services_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'interior_services_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'interior-services' ),
        'section'  => 'interior_services_typography_setting',
        'settings' => 'interior_services_site_title_font',
        'type'     => 'select',
        'choices'  => interior_services_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'interior_services_site_description_font',
	array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'interior_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'interior_services_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'interior-services' ),
		'section'  => 'interior_services_typography_setting',
		'settings' => 'interior_services_site_description_font',
		'type'     => 'select',
		'choices'  => interior_services_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'interior_services_header_font',
	array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'interior_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'interior_services_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'interior-services' ),
		'section'  => 'interior_services_typography_setting',
		'settings' => 'interior_services_header_font',
		'type'     => 'select',
		'choices'  => interior_services_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'interior_services_content_font',
	array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'interior_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'interior_services_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'interior-services' ),
		'section'  => 'interior_services_typography_setting',
		'settings' => 'interior_services_content_font',
		'type'     => 'select',
		'choices'  => interior_services_get_all_google_font_families(),
	)
);